# Testing

There are two different ways to test run your shardus network.

* [Single Node](./single-node)
* [Network of nodes](./network-of-nodes)

Try not to get too comfortable with running your tests with one node. A real network is going to behave much differently than what a single node will tell you.

After all of your application transactions are working with a network of nodes, you should consider [spamming](./spamming) your network with transactions in order to really stress test.